DATE(1)

NOM
date - Afficher ou configurer la date et l'heure du système

SYNOPSIS
date [OPTION]... [+FORMAT]
date [-u|--utc|--universal] [MMJJhhmm[[CC]AA][.ss]]

DESCRIPTION

Afficher la date et l'heure dans le FORMAT indiqué. Avec -s ou [MMJJhhmm[[CC]AA][.ss]], configurer la date et l'heure du système.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-d, --date=CHAÎNE
    afficher la date indiquée dans CHAÎNE plutôt que la date actuelle

--debug
    annoter la date analysée et avertir d'un usage discutable dans la sortie d’erreur

-f, --file=FICHIER_DATE
    équivalent à --date ; pour chaque ligne de FICHIER_DATE

-I[FMT], --iso-8601[=FMT]
    afficher la date et l'heure au format ISO 8601. FMT=« date » pour la date seule (par défaut), « hours » pour une précision à l'heure, « minutes » pour une précision à la minute, « seconds » pour une précision à la seconde et « ns » pour une précision à la nanoseconde. Exemple : 2006-08-14T02:34:56-06:00

--resolution
    afficher la résolution disponible de l'horodatage. Exemple : 0,000000001

-R, --rfc-email
    afficher la date et l'heure au format RFC 5322. Exemple : lundi 14 août 2006 02:34:56 -0600

--rfc-3339=FMT
    afficher la date et l'heure dans un format conforme aux spécifications RFC 3339. FMT=« date », « secondes » ou « ns » pour la date et l'heure à la précision indiquée. Exemple : 2006-08-14 02:34:56-06:00

-r, --reference=FICHIER
    afficher la date de dernière modification de FICHIER

-s, --set=CHAÎNE
    initialiser la date d'après la CHAÎNE fournie

-u, --utc, --universal
    afficher ou initialiser selon le système de temps universel (UTC)

--help
    Afficher l'aide-mémoire et quitter.

--version
    Afficher les informations de version et quitter.

Toutes les options qui spécifient la date s'excluent mutuellement. Par exemple, --date, --file, --reference, --resolution.

FORMAT contrôle la sortie. Les séquences interprétées sont :

%%  caractère %

%a  nom abrégé, conformément aux paramètres régionaux, des jours de la semaine (par exemple dim.)

%A  nom complet, conformément aux paramètres régionaux, de la semaine (par exemple dimanche)

%b  nom abrégé, conformément aux paramètres régionaux, des mois (par exemple janv.)

%B  nom complet, conformément aux paramètres régionaux, des mois (par exemple janvier)

%c  date et heure, conforme aux paramètres régionaux (par exemple, lun. 17 févr. 2020 14:19:06 CET »)

%C  siècle ; équivalent à %Y, mais en ôtant les deux derniers chiffres (par exemple, 20 pour 2005)

%d  quantième du jour dans le mois (par exemple, 01)

%D  date (ambiguë) ; équivalent à « %m/%d/%y »

%e  quantième du jour dans le mois, complété à gauche par une espace ; identique à « %_d »

%F  date complète ; identique à « %+4Y-%m-%d »

%g  deux derniers chiffres de l'année correspondant à la semaine représentée par son numéro ISO (ambiguë, 00-99), consultez %G)

%G  année correspondant à la semaine représentée par son numéro ISO, utile normalement seulement en combinaison avec %V

%h  équivalent à %b

%H  heure (00..23)

%I  heure (01..12)

%j  quantième du jour dans l'année (001..366)

%k  heure, complétée à gauche par une espace ( 0..23) ; identique à « %_H »

%l  heure, complétée à gauche par une espace ( 1..12) ; identique à « %_I »

%m  mois (01..12)

%M  minute (00..59)

%n  saut de ligne

%N  nanosecondes (000000000..999999999)

%p  indicateur régional AM ou PM en majuscules (blanc si inconnu)

%P  équivalent à %p mais en minuscules

%q  trimestre de l’année (1..4)

%r  heure au format 12 heures conforme aux paramètres régionaux (par exemple, 11:11:04 PM

%R  heure et minutes au format 24 heures ; identique à (« %H:%M »)

%s  nombre de secondes depuis l'époque UNIX (00:00:00 01-01-1970 UTC)

%S  secondes (00..60)

%t  tabulation

%T  heure, équivalent à « %H:%M:%S »

%u  quantième du jour dans la semaine (1..7) ; « 1 » représente le lundi

%U  quantième de la semaine dans l'année, dimanche étant considéré comme premier jour de la semaine (00..53)

%V  numéro ISO de semaine, lundi étant considéré comme premier jour de la semaine (01..53)

%w  quantième du jour dans la semaine (0..6); « 0 » représente le dimanche

%W  quantième de la semaine dans l'année, lundi étant considéré comme premier jour de la semaine (00..53)

%x  date conforme aux paramètres régionaux (peut être ambiguë, par exemple 31/12/1999)

%X  représentation de l'heure conforme aux paramètres régionaux (« 23:13:48 »)

%y  deux derniers chiffres de l'année (ambiguë, 00..99)

%Y  année

%z  fuseau horaire numérique « +hhmm » (par exemple, -0400)

%:z fuseau horaire numérique « +hh:mm » (par exemple -04:00)

%::z
    fuseau horaire numérique « +hh:mm:ss » (par exemple -04:00:00)

%:::z
    fuseau horaire numérique utilisant « : » pour afficher la précision nécessaire (par exemple -04, +05:30)

%Z  abréviation du fuseau horaire sous forme alphabétique (par exemple EDT)

Par défaut, date complète les champs numériques avec des zéros. Le « % » peut être suivi d'un des indicateurs optionnels suivants :

-   (trait d'union) ne pas compléter le champ

_   (soulignement) compléter avec des espaces

0   (zéro) compléter avec des zéros

+   compléter avec des zéros, mettre « + » avant les années à venir avec plus de 4 chiffres

^   utiliser des lettres capitales si possible

#   utiliser la casse inversée si possible

Chaque indicateur peut être suivi d'un attribut de largeur optionnel sous forme de nombre décimal, puis d'un commutateur optionnel qui peut être « E » pour utiliser la mise en forme régionale si disponible ou « 0 » pour utiliser les symboles numériques régionaux si disponibles

EXEMPLES
Convertir un nombre de secondes depuis l'époque UNIX (01/01/1970 UTC) en date

    $ date --date='@2147483647'

Afficher l'heure de la côte ouest des États-Unis (utilisez tzselect(1) pour trouver TZ)

    $ TZ='America/Los_Angeles' date

Afficher l'heure locale équivalente à 9 heures vendredi prochain sur la côte ouest des États-Unis

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

CHAÎNE DES DATES
Le format de --date=CHAÎNE est peu contraint et lisible, comme par exemple « Sun, 29 Feb 2004 16:21:42 -0800 » ou « 2004-02-29 16:21:42 » ou même « next Thursday ». Une chaîne de date peut contenir des éléments indiquant la date, l'heure, le fuseau horaire, le jour de la semaine, un temps relatif, une date relative et des nombres. Une chaîne vide indique le début du jour. Le format de la chaîne de date est plus complexe que ce qui peut être facilement documenté ici, mais est complètement décrit dans la documentation info.

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/date>
aussi disponible localement à l’aide de la commande : info '(coreutils) date invocation'

Empaqueté par Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Guilhelm Panaget <guilhelm.panaget@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.